#instagram-feed {
    display:grid;
    grid-template-columns: repeat(4, 1fr);
    column-gap:0.5em;
    row-gap:0.75em;
    --gallery-aspect-ratio: 1/1;
}

@media only screen and (max-device-width: 480px) {
    #instagram-feed {
        grid-template-columns: repeat(2, 1fr);
    }
}

.instagram-post {
    background-color: #e6e6e6;
    border-bottom: 3px solid #ccc;
}

.instagram-post__thumbnail {
    display: block;
    width: 100%;
    object-fit: cover;
    aspect-ratio: var(--gallery-aspect-ratio);
    transform: scale(1) translate(0, 0);
    transition: transform 300ms ease-in;
}

.instagram-post__thumbnail:hover {
    transform: scale(1.2);
}

.instagram-post__image-container {
    overflow: hidden;
}

.instagram-post__product-name {
    display:flex;
    gap: 0.25em;
    padding: 0.35em;

}

.instagram-post__product-name a {
    text-decoration:none;
    color:black;
}

.instagram-post__product-name a:hover {
    text-decoration:underline;
}
